(function($) {
    $.coreUtilites = {
        url: '',
        clipart_path: '',
        ajaxRequest: function(data, callback) {

            var method = ((data['method']) ? data['method'] : 'get');
            data['method'] = null;
            $.ajax({
                url: this.url,
                method: method,
                data: data
            }).done(function(data) {
                data = $.parseJSON(data);
                if(typeof(data.status) != 'undefined'  && data.status=='error') {
                    console.log(data);
                }
                callback(data);
            });
        },

        ra_de: function(value) {
            return (eval(value) * (180/Math.PI));
        },

        de_ra: function(value) {
            return (eval(value) * (Math.PI/180));
        }
    }
})(SWjQuery);